Subject: Re: [6pack] Steering Wheel Restoration

From: Tom Lofgren <[email-masked]>
Date: Sun, 22 Feb 2015 16:09:09 -0800

Hi,

I restored a steering wheel on a '67 Mini Cooper with their kit.  I
followed their instructions exactly, and it turned out great.  It feels
weird to make the cracks wider with a file, but the epoxy fills it all
nicely.

Tom

On Sat, Feb 21, 2015 at 1:42 PM, David Friedlander <[email-masked]>
wrote:

> Hey all ~
>
> Has anyone had any personal experience with restoring their own
> stock steering wheel, using an Eastwood product?
>
> http://search.eastwood.com/search?w=steering+wheel+restoration
>
> I'd love to hear from anyone having first-person experiences,
> including do's and dont's
>
> Thanks in advance!
>
> Dave Friedlander
> _______________________________________________
> Support Team.Net http://www.team.net/donate.html
> Suggested annual donation  $12.96
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
>
> [email-masked]
> http://autox.team.net/mailman/listinfo/6pack
>
> Unsubscribe/Manage:
> http://autox.team.net/mailman/options/6pack/[email-masked]
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/6pack